<?php
/**
 * Created by PhpStorm.
 * User: Bramnik
 * Date: 12/8/2017
 * Time: 5:19 PM
 */

namespace app\models\enums;
use app\models\enums\LocaleEnum;


class City
{

    const Azur = 'Azur';
    const Acre = 'Acre';
    const AlfeiMenashe = 'Alfei-Menashe';
    const Arad = 'Arad';
    const Ariel = 'Ariel';
    const Atlit = 'Atlit';
    const Afula = 'Afula';
    const Ashdod = 'Ashdod';
    const Ashkelon = 'Ashkelon';
    const BatYam = 'BatYam';
    const BeitAryehOfarim = 'Beit-Aryeh-Ofarim';
    const BeitDagan = 'Beit-Dagan';
    const BeitShean = 'Beit-Shean';
    const BeitShemesh = 'Beit-Shemesh';
    const BeitEl = 'Beit-El';
    const BeitarIllit = 'Beitar-Illit';
    const Beersheba = 'Beersheba';
    const BeerYaakov = 'Beer-Yaakov';
    const Binyamina = 'Binyamina';
    const BneiAyish = 'Bnei-Ayish';
    const BneiBrak = 'Bnei-Brak';
    const GanYavne = 'Gan-Yavne';
    const GaneiTikva = 'Ganei-Tikva';
    const Gedera = 'Gedera';
    const GivatZeev = 'Givat-Zeev';
    const GivatShmuel = 'Givat-Shmuel';
    const Givatayim = 'Givatayim';
    const Dimona = 'Dimona';
    const ZikhronYaakov = 'Zikhron-Yaakov';
    const Jerusalem = '‏Jerusalem';
    const  Immanuel = 'Immanuel';
    const Yeruham = 'Yeruham';
    const YesudHaMaala = 'Yesud-HaMaala';
    const Yehud = 'Yehud';
    const Yokneam = 'Yokneam';
    const TzoranKadima = 'Tzoran-Kadima';
    const Karmiel = 'Karmiel';
    const KarneiShomron = 'Karnei-Shomron';
    const KatzirHarish = 'Katzir-Harish';
    const Katzrin = 'Katzrin';
    const Kedumim = 'Kedumim';
    const Caesarea = 'Caesarea';
    const KiryatArba = 'Kiryat-Arba';
    const KiryatAta = 'Kiryat-Ata';
    const KiryatBialik = 'Kiryat-Bialik';
    const KiryatGat = 'Kiryat-Gat';
    const KiryatYearim = '‏Kiryat-Yearim';
    const KiryatMalakhi = 'Kiryat-Malakhiִ';
    const KiryatMotzkin = 'Kiryat-Motzkin';
    const KiryatOno = 'Kiryat-Ono';
    const KiryatTivon = 'Kiryat-Tivon';
    const KiryatHaim = 'Kiryat-Haim';
    const KiryatShmona = 'Kiryat-Shmona';
    const KiryatEkron = 'Kiryat-Ekron';
    const KiryatYam  = 'Kiryat-Yam';
    const KokhavYair = 'Kokhav-Yair';
    const KfarVradim = 'Kfar-Vradim';
    const KfarYona = 'Kfar-Yona';
    const KfarSaba = 'Kfar-Saba';
    const KfarTavor = 'Kfar-Tavor';
    const KfarShmaryahu = 'Kfar-Shmaryahu';
    const Lehavim = 'Lehavim';
    const Lod = 'Lod';
    const MaaleAdumim = 'Maale-Adumim';
    const MaaleEfrayim = 'Maale-Efrayim';
    const MaalotTarshiha = 'Maalot-Tarshiha';
    const MazkeretBatya = 'Mazkeret-Batya';
    const MevaseretZion = 'Mevaseret-Zion';
    const Meitar = 'Meitar';
    const Metula = 'Metula';
    const MitzpeRamon = 'Mitzpe-Ramon';
    const Modiin = 'Modiin';
    const ModiinIllit = 'Modiin-Illit';
    const Nahariya = 'Nahariya';
    const NazarethIllit = 'Nazareth-Illit‏‎';
    const NessZiona = 'Ness-Ziona';
    const Netanya = 'Netanya';
    const Netivot = 'Netivot';
    const Nesher = 'Nesher';
    const Omer = 'Omer';
    const Oranit = 'Oranit';
    const OrAkiva = 'Or-Akiva';
    const OrYehuda = 'Or-Yehuda';
    const Ofakim = 'Ofakim';
    const PardesHanna = 'Pardes-Hanna';
    const Pardesiya = 'Pardesiya';
    const PetahTikva = 'Petah-Tikva';
    const Raanana = 'Raanana';
    const RamatGan = 'Ramat-Gan';
    const RamatYishai = 'Ramat-Yishai';
    const Ramla = 'Ramla';
    const RamatHaSharon = 'Ramat-HaSharon';
    const Rekhasim = 'Rekhasim';
    const Rehovot = 'Rehovot';
    const RishonLeZion = 'Rishon-LeZion‎';
    const RoshHaAyin = 'Rosh-HaAyin';
    const RoshPinna = 'Rosh-Pinna';
    const Savyon = 'Savyon';
    const Sderot = 'Sderot';
    const TelMond = 'Tel-Mond';
    const Tiberias = 'Tiberias';
    const TelAviv = 'Tel-Aviv';
    const TiratCarmel = 'Tirat-Carmel';
    const Hadera = 'Hadera';
    const Haifa = 'Haifa';
    const HarAdar = 'Har-Adar';
    const HatzorHaGlilit = 'Hatzor-HaGlilit‏';
    const Hebron = 'Hebron';
    const HodHaSharon = 'Hod-HaSharon';
    const Holon = 'Holon';
    const Shlomi = 'Shlomi';
    const Shoham = 'Shoham';
    const Safed = 'Safed';
    const EvenYehuda = 'Even-Yehuda';
    const Eilat = '‏Eilat';
    const Elad = 'Elad';
    const Elkana = 'Elkana';
    const Elyakhin = 'Elyakhin';
    const Efrat = 'Efrat';
    const Yavne = 'Yavne';
    const Yavneel = 'Yavneel';
    const Jaffa = 'Jaffa';


    public static function getClientValues()
    {
        if(LocaleEnum::isRTL()) {
            $result = [
                self::Azur => 'אזור',
                self::Acre => 'עכו',
                self::AlfeiMenashe => 'אלפי מנשה',
                self::Arad => 'ערד',
                self::Ariel => 'אריאל',
                self::Atlit => 'עתלית',
                self::Afula => 'עֲפוּלָה',
                self::Ashdod => 'אשדוד',
                self::Ashkelon => 'אשקלון',
                self::BatYam => 'בת ים',
                self::BeitAryehOfarim => 'בית אריה-עופרים',
                self::BeitDagan => 'בית דגן',
                self::BeitShean => 'בית שאן',
                self::BeitShemesh => 'בית שמש',
                self:: BeitEl => 'בֵּית אֵל',
                self::BeitarIllit => 'בֵּיתָר עִלִּית',
                self::Beersheba => 'באר שבע',
                self::BeerYaakov => 'באר יעקב',
                self::Binyamina => 'בנימינה',
                self::BneiAyish => 'בני עי"ש',
                self::BneiBrak => 'בְּנֵי בְּרַק',
                self::GanYavne => 'גן יבנה',
                self::GaneiTikva => 'גני תקוה',
                self::Gedera => 'גדרה',
                self::GivatZeev => 'גבעת זאב',
                self::GivatShmuel => 'גבעת שמואל',
                self::Givatayim => 'גבעתים',
                self::Dimona => 'דימונה',
                self::ZikhronYaakov => 'זכרון יעקוב',
                self::Jerusalem => '‏ירושלים',
                self:: Immanuel => 'עמנואל',
                self::Yeruham => 'ירוחם',
                self::YesudHaMaala => 'יְסוּד הַמַּעֲלָה',
                self::Yehud => 'יְהוּד',
                self::Yokneam => 'יקנעם',
                self::TzoranKadima => 'צוֹרָן-קָדִימָה',
                self::Karmiel => 'כַּרְמִיאֵל',
                self::KarneiShomron => 'קרני שומרון',
                self::KatzirHarish => 'קציר-חריש',
                self::Katzrin => '‏קצרין',
                self::Kedumim => 'קְדוּמִים',
                self::Caesarea => 'קֵיסָרְיָה',
                self::KiryatArba => 'קרית ארבע',
                self::KiryatAta => 'קרית אתא',
                self::KiryatBialik => 'קִרְיַת בְּיַאלִיק',
                self::KiryatGat => 'קִרְייַת גַּת',
                self::KiryatYearim => '‏קריית יערים',
                self::KiryatMalakhi => '‏קִרְיַת מַלְאָכִ',
                self::KiryatMotzkin => 'קִרְיַת מוֹצְקִין',
                self::KiryatOno => 'קִרְיַת אוֹנוֹ',
                self::KiryatTivon => 'קריית טבעון',
                self::KiryatHaim => 'קרית חיים',
                self::KiryatShmona => 'קריית שמונה',
                self::KiryatEkron => 'קריית עקרון',
                self::KiryatYam  => 'קריית ים',
                self::KokhavYair => 'כוכב יאיר',
                self::KfarVradim => '‏כְּפַר וְרָדִים',
                self::KfarYona => 'כפר-יונה',
                self::KfarSaba => 'כְּפַר סָבָא',
                self::KfarTavor => 'כפר תבור',
                self::KfarShmaryahu => 'כפר שמריהו',
                self::Lehavim => 'להבים ',
                self::Lod => 'לוֹד',
                self::MaaleAdumim => 'מַעֲלֵה אֲדוּמִּים',
                self::MaaleEfrayim => 'מעלה אפרים',
                self::MaalotTarshiha => 'מַעֲלוֹת-תַּרְשִׁיחָא',
                self::MazkeretBatya => 'מזכרת בתיה ',
                self::MevaseretZion => 'מבשרת ציון‏',
                self::Meitar => 'מיתר',
                self::Metula => 'מטולה',
                self::MitzpeRamon => 'מצפה רמון',
                self::Modiin => 'מוֹדִיעִין',
                self::ModiinIllit => 'מוֹדִיעִין עִלִּית',
                self::Nahariya => 'נַהֲרִיָּה',
                self::NazarethIllit => 'נצרת עילית‏‎',
                self::NessZiona => 'נס ציונה',
                self::Netanya => 'נתניה',
                self::Netivot => 'נְתִיבוֹת',
                self::Nesher => 'נֶשֶׁר',
                self::Omer => 'עֹמֶר',
                self::Oranit => 'אורנית',
                self::OrAkiva => 'אוֹר עֲקִיבָא',
                self::OrYehuda => 'אור יהודה‏',
                self::Ofakim => 'אֳפָקִים',
                self::PardesHanna => 'פרדס חנה',
                self::Pardesiya => 'פרדסיה',
                self::PetahTikva => 'פֶּתַח תִּקְוָה',
                self::Raanana => 'רעננה',
                self::RamatGan => 'רמת גן',
                self::RamatYishai => 'רמת ישי',
                self::Ramla => 'רמלה',
                self::RamatHaSharon => 'רמת השרון',
                self::Rekhasim => 'רכסים',
                self::Rehovot => 'רְחוֹבוֹת',
                self::RishonLeZion => 'רִאשׁוֹן לְצִיּוֹן‏‎',
                self::RoshHaAyin => 'רֹאשׁ הָעַיִן',
                self::RoshPinna => 'ראש פינה',
                self::Savyon => 'סביון',
                self::Sderot => 'שְדֵרוֹת‎',
                self::TelMond => 'תֵּל מוֹנְד',
                self::Tiberias => 'טְבֶרְיָה',
                self::TelAviv => 'תֵּל אָבִיב',
                self::TiratCarmel => 'טירת הכרמל',
                self::Hadera => 'חדרה',
                self::Haifa => 'חֵיפָה',
                self::HarAdar => 'הר אדר',
                self::HatzorHaGlilit => '‏חצור הגלילית',
                self::Hebron => 'חברון',
                self::HodHaSharon => 'הוד השרון',
                self::Holon => 'חולון',
                self::Shlomi => 'שלומי',
                self::Shoham => 'שוהם',
                self::Safed => 'צפת',
                self::EvenYehuda => 'אֶבֶן יְהוּדָה',
                self::Eilat => '‏אילת‏‎',
                self::Elad => 'אלעד',
                self::Elkana => 'אלקנה',
                self::Elyakhin => 'אליכין',
                self::Efrat => 'אפרת',
                self::Yavne => 'יבנה',
                self::Yavneel => 'יבנאל',
                self::Jaffa => '‏יפו',

            ];
        } else {
            $result = [
                self::Azur => 'Азур',
                self::Acre => 'Акко',
                self::AlfeiMenashe => 'Альфей-Менаше',
                self::Arad => 'Арад',
                self::Ariel => 'Ариэль',
                self::Atlit => 'Атлит',
                self::Afula => 'Афула',
                self::Ashdod => 'Ашдод',
                self::Ashkelon => 'Ашкелон',
                self::BatYam => 'Бат_Ям',
                self::BeitAryehOfarim => 'Бейт-Арье-Офарим',
                self::BeitDagan => 'Бейт-Даган',
                self::BeitShean => 'Бейт-Шеан',
                self::BeitShemesh => 'Бейт-Шемеш',
                self::BeitEl => 'Бейт-Эль',
                self::BeitarIllit => 'Бейтар-Илит',
                self::Beersheba => 'Беэр-Шева',
                self::BeerYaakov => 'Беэр-Яаков',
                self::Binyamina => 'Биньямина',
                self::BneiAyish => 'Бней-Аиш',
                self::BneiBrak => 'Бней-Брак',
                self::GanYavne => 'Ган-Явне',
                self::GaneiTikva => 'Ганей-Тиква',
                self::Gedera => 'Гедера',
                self::GivatZeev => 'Гиват-Зеэв',
                self::GivatShmuel => 'Гиват-Шмуэль',
                self::Givatayim => 'Гиватаим',
                self::Dimona => 'Димона',
                self::ZikhronYaakov => 'Зихрон-Яаков',
                self::Jerusalem => 'Иерусалим',
                self:: Immanuel => 'Иммануэль',
                self::Yeruham => 'Йерухам',
                self::YesudHaMaala => 'Йесуд-ха-Маала',
                self::Yehud => 'Йехуд',
                self::Yokneam => 'Йокнеам',
                self::TzoranKadima=> 'Кадима-Цоран',
                self::Karmiel => 'Кармиэль',
                self::KarneiShomron => 'Карней-Шомрон',
                self::KatzirHarish => 'Кацир-Хариш',
                self::Katzrin => 'Кацрин',
                self::Kedumim => 'Кдумим',
                self::Caesarea => 'Кейсария',
                self::KiryatArba => 'Кирьят-Арба',
                self::KiryatAta => 'Кирьят-Ата',
                self::KiryatBialik => 'Кирьят-Бялик',
                self::KiryatGat => 'Кирьят-Гат',
                self::KiryatYearim => 'Кирьят-Йеарим',
                self::KiryatMalakhi => 'Кирьят-Малахи',
                self::KiryatMotzkin => 'Кирьят-Моцкин',
                self::KiryatOno => 'Кирьят-Оно',
                self::KiryatTivon => 'Кирьят-Тивон',
                self::KiryatHaim => 'Кирьят-Хаим',
                self::KiryatShmona => 'Кирьят-Шмона',
                self::KiryatEkron => 'Кирьят-Экрон',
                self::KiryatYam  => 'Кирьят-Ям',
                self::KokhavYair => 'Кохав-Яир',
                self::KfarVradim => 'Кфар-Врадим',
                self::KfarYona => 'Кфар-Йона',
                self::KfarSaba => 'Кфар-Саба',
                self::KfarTavor => 'Кфар-Тавор',
                self::KfarShmaryahu => 'Кфар-Шмарьягу',
                self::Lehavim => 'Лехавим',
                self::Lod => 'Лод',
                self::MaaleAdumim => 'Маале-Адумим',
                self::MaaleEfrayim => 'Маале-Эфраим',
                self::MaalotTarshiha => 'Маалот-Таршиха',
                self::MazkeretBatya => 'Мазкерет-Батья',
                self::MevaseretZion => 'Мевасерет-Цион',
                self::Meitar => 'Мейтар',
                self::Metula => 'Метула',
                self::MitzpeRamon => 'Мицпе-Рамон',
                self::Modiin => 'Модиин',
                self::ModiinIllit => 'Модиин-Илит',
                self::Nahariya => 'Нагария',
                self::NazarethIllit => 'Нацрат-Илит',
                self::NessZiona => 'Нес-Циона',
                self::Netanya => 'Нетания',
                self::Netivot => 'Нетивот',
                self::Nesher=> 'Нешер',
                self::Omer => 'Омер',
                self::Oranit => 'Оранит',
                self::OrAkiva=> 'Ор-Акива',
                self::OrYehuda => 'Ор-Иегуда',
                self::Ofakim => 'Офаким',
                self::PardesHanna => 'Пардес-Хана',
                self::Pardesiya => 'Пардесия',
                self::PetahTikva => 'Петах-Тиква',
                self::Raanana => 'Раанана',
                self::RamatGan => 'Рамат-Ган',
                self::RamatYishai => 'Рамат-Ишай',
                self::Ramla => 'Рамле',
                self::RamatHaSharon => 'Рамат-ха-Шарон',
                self::Rekhasim => 'Рехасим',
                self::Rehovot => 'Реховот',
                self::RishonLeZion => 'Ришон-ле-Цион',
                self::RoshHaAyin => 'Рош-ха-Аин',
                self::RoshPinna => 'Рош-Пина',
                self::Savyon => 'Савьон',
                self::Sderot => 'Сдерот',
                self::TelMond => 'Тель-Монд',
                self::Tiberias => 'Тверия',
                self::TelAviv => 'Тель-Авив',
                self::TiratCarmel => 'Тират-Кармель',
                self::Hadera => 'Хадера',
                self::Haifa => 'Хайфа',
                self::HarAdar => 'Хар-Адар',
                self::HatzorHaGlilit => 'Хацор-ха-Глилит',
                self::Hebron => 'Хеврон',
                self::HodHaSharon => 'Ход-ха-Шарон',
                self::Holon => 'Холон',
                self::Shlomi => 'Шломи',
                self::Shoham => 'Шохам',
                self::Safed => 'Цфат',
                self::EvenYehuda => 'Эвен-Йегуда',
                self::Eilat => 'Эйлат',
                self::Elad => 'Эльад',
                self::Elkana => 'Элькана',
                self::Elyakhin => 'Эльяхин',
                self::Efrat => 'Эфрат',
                self::Yavne => 'Явне',
                self::Yavneel => 'Явниэль',
                self::Jaffa => 'Яффо',

            ];
        }
        asort($result);
        //var_dump($result); die;
        return $result;
    }

    public static function getClientValue($key)
    {
        $values = self::getClientValues();
        if (isset($values[$key])) {
            return $values[$key];
        }
        return null;
    }
}